# Installation
> `npm install --save @types/define-properties`

# Summary
This package contains type definitions for define-properties (https://github.com/ljharb/define-properties#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/define-properties.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/define-properties/index.d.ts)
````ts
declare namespace defineProperties {
    /**
     * Whether the current environment correctly supports property descriptors.
     */
    const supportsDescriptors: boolean;
}

/**
 * Defines new properties in `map` as non-enumerable if they don't already
 * exist on `object`.
 *
 * @param object The object to define non-enumerable properties on.
 * @param map The map of newly defined properties.
 * @param predicates The optional predicates map, return `true` to override existing properties on `object`.
 */
declare function defineProperties<M extends object>(
    object: object,
    map: M & ThisType<any>,
    predicates?: Partial<Record<keyof M, () => boolean>>,
): void;
export = defineProperties;

````

### Additional Details
 * Last updated: Mon, 06 Nov 2023 22:41:05 GMT
 * Dependencies: none

# Credits
These definitions were written by [ExE Boss](https://github.com/ExE-Boss), and [Jordan Harband](https://github.com/ljharb).
